AbfsHttpConstants.ApiVersion (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.constants, class: AbfsHttpConstants, enum: ApiVersion

Package org.apache.hadoop.fs.azurebfs.constants

# Enum Class AbfsHttpConstants.ApiVersion

java.lang.Object
java.lang.Enum<AbfsHttpConstants.ApiVersion>
org.apache.hadoop.fs.azurebfs.constants.AbfsHttpConstants.ApiVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<AbfsHttpConstants.ApiVersion>`, `Constable`

Enclosing class:
  AbfsHttpConstants

public static enum AbfsHttpConstants.ApiVersion extends Enum<AbfsHttpConstants.ApiVersion>
Specifies the version of the REST protocol used for processing the request. Versions should be added in enum list in ascending chronological order. Latest one should be added last in the list. When upgrading the version for whole driver, update the getCurrentVersion;

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APR_10_2021`
  `AUG_03_2023`
  `DEC_12_2019`
  `JUL_05_2025`
  `NOV_04_2024`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbfsHttpConstants.ApiVersion`
  `getCurrentVersion()`
  `String`
  `toString()`
  `static AbfsHttpConstants.ApiVersion`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbfsHttpConstants.ApiVersion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEC_12_2019

    public static final AbfsHttpConstants.ApiVersion DEC_12_2019

  - ### APR_10_2021

    public static final AbfsHttpConstants.ApiVersion APR_10_2021

  - ### AUG_03_2023

    public static final AbfsHttpConstants.ApiVersion AUG_03_2023

  - ### NOV_04_2024

    public static final AbfsHttpConstants.ApiVersion NOV_04_2024

  - ### JUL_05_2025

    public static final AbfsHttpConstants.ApiVersion JUL_05_2025

- ## Method Details

  - ### values

    public static AbfsHttpConstants.ApiVersion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbfsHttpConstants.ApiVersion valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<AbfsHttpConstants.ApiVersion>`

  - ### getCurrentVersion

    public static AbfsHttpConstants.ApiVersion getCurrentVersion()